package com.heyu.api.data.dao.operation;
/**
* <p>
* 模式列表（大场景），运行场景列表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.operation.OperatinModeEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OperatinModeDao extends BaseMapper<OperatinModeEntity> {


	OperatinModeEntity selectOperatinModeById(@Param("id")Long id);


	Long insertOperatinMode(OperatinModeEntity operatinMode);


	Long insertOrUpdateOperatinMode(OperatinModeEntity operatinMode);


	int updateOperatinModeById(OperatinModeEntity operatinMode);


	int updateCoverOperatinModeById(OperatinModeEntity operatinMode);


	int deleteOperatinModeById(@Param("id")Long id);


}